Пожалуйста, войдите здесь. Часто задаваемые вопросы О нас
Задайте Ваш вопрос

Не собирается chan_sip [закрыт]

2

Ребят, развлекаюсь тут - пытаюсь установить Астер на Debian 6.0.2. Компилится нормально, но в итоге без поддержки SIP. Заметил, что пункт chan_sip также не доступен в make menuselect (Channel Drivers).

Перед установкой делал apt-get install libssl-dev zlib1g-dev libnewt-dev bison ncurses-dev procps flex automake build-essential autoconf libtool libncurses5-dev linux-headers-$(uname -r)

Но видимо чего-то не хватает...

удалить переоткрыть спам изменить тег редактировать

спросил 2011-07-04 19:54:03 +0400

denis Gravatar denis
20 6 1 5

3 Ответа

0

В make menuselect видно что chansip зависит от
Depends on: chan
local(M) chan_local стоит галка ?

ссылка удалить спам редактировать

ответил 2011-07-04 22:21:16 +0400

alexcr Gravatar alexcr
3124 10 9 51
http://asterisk-service.c...

Comments

Да, галка стоит. Только сейчас обратил внимание, что там ещё одна зависимость указана через запятую после chanlocal(M) chan_local - а именно - res_..... дальше не видно - закрывает кнопка "Save and Exit"... denis ( 2011-07-04 23:19:47 +0400 )редактировать
Разглядел! Вторая зависимость - res_crypto (M), она и в самом деле не доступна также как и chan_sip и зависит от openssl (E). Хм... Но у меня в системе openssl установлен через apt-get... denis ( 2011-07-04 23:44:41 +0400 )редактировать
1
apt-get install libssl-dev alexcr ( 2011-07-05 00:14:25 +0400 )редактировать
Неа, не помогает... Этот пакет уже ставил - а сейчас переустановил... Такое ощущение, что Астер "не видит" библиотеку... denis ( 2011-07-05 00:49:19 +0400 )редактировать
Друзья, в общем, если долго мучиться - что-нибудь получится. В первую очередь - переставил систему. Во-вторую - промониторил инет на тему пакетов. Вот набор, с которым всё завелось: apt-get -y install ssh apt-get -y install linux-source-${uname -r} apt-get -y install kernel-package apt-get -y install g++ apt-get -y install libncurses5-dev apt-get -y install linux-headers-${uname -r} apt-get -y install sqlite apt-get -y install libnewt-dev apt-get -y install libusb-dev apt-get -y install zlib1g-dev apt-get -y install libmysqlclient15-dev apt-get -y install libsqlite0-dev apt-get -y install libxml2-dev apt-get -y install sendmail-bin Может, кому-ньть типа меня пригодится ;) denis ( 2011-07-07 00:55:10 +0400 )редактировать
тут совсем не надо половина пакетов. навскидку usb-devzlib1g senmail linux-source(devel dostato4no) meral ( 2011-07-07 07:02:20 +0400 )редактировать
и вообще. если еидешь путем джедаев - компилируй зависимости тоже. ато это полумеры meral ( 2011-07-07 07:05:02 +0400 )редактировать
0

не понятно зачем ты егопересобираешь. в дебиане и убунту есть пакет. отствает от релизной версии на одну вторую цифру. обновляется на порядок быстрее.смысл?

ссылка удалить спам редактировать

ответил 2011-07-07 01:06:36 +0400

meral Gravatar meral flag of Ukraine
21228 24 19 169
http://pro-sip.net/

Comments

Смысл - изучаю, хочу понимать как всё работает. Это для меня как кроссворды разгадывать. В любом случае - главное, что всё заработало. denis ( 2011-07-07 02:14:11 +0400 )редактировать
1
ну так изучай уже поставленный с пакетов;) просто компилируя это все, ты ничего особо не добьешься кроме засорения своей системы всякими зависимостями. плюс у тебя будет устаревшая версия астериска через какйоето время. изцчать дофига чего есть кроме компиляции. я понимаю если б ты компилировал в gentoo или linux from scratch. там это реально красворды. а тут это как собирать картонные коробки из листа картона. вроде и занятно, но явно трата времени meral ( 2011-07-07 06:59:07 +0400 )редактировать
2
а нет. ты ж еше и помощи просишь. нефига это уже не красворды в таком случае, тоесть как помогать комуто собирать картонные коробки. meral ( 2011-07-07 07:06:29 +0400 )редактировать
-1

Для chan_sip есть две блокирующие зависимости:

Depends on: chanlocal(M), rescrypto(M)

В Вашем случае небыл включен res_crypto т.к. конфигурационный скрипт не нашел библиотеки ssl для разработчиков. Эту проблему можно решить установив пакет libssl-dev:

apt-get -y install libssl-dev

ссылка удалить спам редактировать

ответил 2013-02-03 20:07:52 +0400

FreeManGH Gravatar FreeManGH
1 2

Comments

2

мужик, ты вопрос прочитал? там написано что он его ПОСТАВИЛ.

meral ( 2013-02-03 20:25:08 +0400 )редактировать

мужик, ты вник в проблему? или снести всю систему и переставить заново это решение вопроса? ты наверно из дет.сада...

FreeManGH ( 2013-02-04 00:34:28 +0400 )редактировать

я из дет сада.

meral ( 2013-02-04 03:44:41 +0400 )редактировать

Закладки и информация

Добавить закладку

подписаться на rss ленту новостей

Статистика

Задан: 2011-07-04 19:54:03 +0400

Просмотрен: 1,667 раз

Обновлен: Feb 03 '13

Проект компании "АТС Дизайн"
Asterisk® и Digium® являются зарегистрированными торговыми марками компании Digium, Inc., США.
IP АТС Asterisk распространяется под лицензией GNU GPL.